Bug 256718 - multimedia/obs-studio: Crashes at startup on 13.0-RELEASE
Summary: multimedia/obs-studio: Crashes at startup on 13.0-RELEASE
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: https://github.com/obsproject/obs-stu...
Keywords: crash, needs-qa
Depends on:
Blocks:
 
Reported: 2021-06-19 19:20 UTC by Guillermo Garcia-Rojas
Modified: 2021-06-24 02:14 UTC (History)
2 users (show)

See Also:
linimon: maintainer-feedback? (yuri)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guillermo Garcia-Rojas 2021-06-19 19:20:24 UTC
OBS-Studio is crashing upon start.
I am getting this output and a core file.

hawking$ obs
Attempted path: share/obs/obs-studio/locale/en-US.ini
Attempted path: /usr/local/share/obs/obs-studio/locale/en-US.ini
Attempted path: share/obs/obs-studio/locale.ini
Attempted path: /usr/local/share/obs/obs-studio/locale.ini
Attempted path: share/obs/obs-studio/themes/Dark.qss
Attempted path: /usr/local/share/obs/obs-studio/themes/Dark.qss
info: CPU Name: Intel(R) Celeron(R) CPU  N2830  @ 2.16GHz
info: CPU Speed: 2166.72MHz
info: Physical Cores: 2, Logical Cores: 2
info: Physical Memory: 7771MB Total, 5224MB Free
info: Kernel Version: FreeBSD 13.0-RELEASE-p1
info: Window System: X11.0, Vendor: The X.Org Foundation, Version: 1.20.11
info: Portable mode: false
Attempted path: share/obs/obs-studio/themes/Dark/no_sources.svg
Attempted path: /usr/local/share/obs/obs-studio/themes/Dark/no_sources.svg
QMetaObject::connectSlotsByName: No matching signal for on_tbar_position_valueChanged(int)
QMetaObject::connectSlotsByName: No matching signal for on_actionShowTransitionProperties_triggered()
QMetaObject::connectSlotsByName: No matching signal for on_actionHideTransitionProperties_triggered()
info: OBS 27.0.1 (freebsd)
info: ---------------------------------
info: ---------------------------------
info: audio settings reset:
	samples per sec: 48000
	speakers:        2
info: ---------------------------------
info: Initializing OpenGL...
info: Loading up OpenGL on adapter Intel Open Source Technology Center Mesa DRI Intel(R) HD Graphics (BYT)
info: OpenGL loaded successfully, version 4.2 (Core Profile) Mesa 20.2.3, shading language 4.20
info: ---------------------------------
info: video settings reset:
	base resolution:   1366x768
	output resolution: 1092x614
	downscale filter:  Bicubic
	fps:               30/1
	format:            NV12
	YUV mode:          709/Partial
info: NV12 texture support not available
info: Audio monitoring device:
	name: Default
	id: default
info: ---------------------------------
warning: Failed to load 'en-US' text for module: 'decklink-captions.so'
warning: Failed to load 'en-US' text for module: 'decklink-ouput-ui.so'
warning: v4l2loopback not installed, virtual camera disabled
info: FFMPEG VAAPI supported
info: VLC found, VLC video source enabled
info: ---------------------------------
info:   Loaded Modules:
info:     vlc-video.so
info:     text-freetype2.so
info:     sndio.so
info:     rtmp-services.so
info:     oss-audio.so
info:     obs-x264.so
info:     obs-vst.so
info:     obs-transitions.so
info:     obs-outputs.so
info:     obs-libfdk.so
info:     obs-filters.so
info:     obs-ffmpeg.so
info:     linux-v4l2.so
info:     linux-pulseaudio.so
info:     linux-jack.so
info:     image-source.so
info:     frontend-tools.so
info:     decklink-ouput-ui.so
info:     decklink-captions.so
info: ---------------------------------
info: ==== Startup complete ===============================================
info: All scene data cleared
info: ------------------------------------------------
info: pulse-input: Server name: 'pulseaudio 14.2'
info: pulse-input: Audio format: s16le, 44100 Hz, 2 channels
info: pulse-input: Started recording from 'oss_output.dsp0.monitor'
info: [Loaded global audio device]: 'Desktop Audio'
info: pulse-input: Server name: 'pulseaudio 14.2'
info: pulse-input: Audio format: s16le, 44100 Hz, 2 channels
info: pulse-input: Started recording from 'oss_input.dsp0'
info: [Loaded global audio device]: 'Mic/Aux'
info: Switched to scene 'Scene'
info: ------------------------------------------------
info: Loaded scenes:
info: - scene 'Scene':
info: ------------------------------------------------
Attempted path: share/obs/obs-studio/images/overflow.png
Attempted path: /usr/local/share/obs/obs-studio/images/overflow.png
info: adding 21 milliseconds of audio buffering, total audio buffering is now 21 milliseconds (source: Desktop Audio)

Segmentation fault (core dumped)
hawking$
Comment 1 Guillermo Garcia-Rojas 2021-06-19 21:20:56 UTC
hawking$ xvinfo
X-Video Extension version 2.2
screen #0
  Adaptor #0: "Intel(R) Textured Video"
    number of ports: 16
    port base: 87
    operations supported: PutImage
    supported visuals:
      depth 24, visualID 0x21
    no port attributes defined
    maximum XvImage size: 2048 x 2048
    Number of image formats: 5
      id: 0x32595559 (YUY2)
        guid: 59555932-0000-0010-8000-00aa00389b71
        bits per pixel: 16
        number of planes: 1
        type: YUV (packed)
      id: 0x32315659 (YV12)
        guid: 59563132-0000-0010-8000-00aa00389b71
        bits per pixel: 12
        number of planes: 3
        type: YUV (planar)
      id: 0x30323449 (I420)
        guid: 49343230-0000-0010-8000-00aa00389b71
        bits per pixel: 12
        number of planes: 3
        type: YUV (planar)
      id: 0x59565955 (UYVY)
        guid: 55595659-0000-0010-8000-00aa00389b71
        bits per pixel: 16
        number of planes: 1
        type: YUV (packed)
      id: 0x434d5658 (XVMC)
        guid: 58564d43-0000-0010-8000-00aa00389b71
        bits per pixel: 12
        number of planes: 3
        type: YUV (planar)
Comment 2 Guillermo Garcia-Rojas 2021-06-19 21:22:58 UTC
root@hawking:~ # sysctl -a | grep kern.ipc.sh
kern.ipc.shm_allow_removed: 1
kern.ipc.shm_use_phys: 0
kern.ipc.shmall: 131072
kern.ipc.shmseg: 128
kern.ipc.shmmni: 192
kern.ipc.shmmin: 1
kern.ipc.shmmax: 536870912

I think the issue is my graphics card. I have tested with:

Totem
Olive-video-editor (crashes on file opening)
shotcut

and all crash upon start.
Comment 3 Yuri Victorovich freebsd_committer 2021-06-20 01:40:51 UTC
(In reply to Guillermo Garcia-Rojas from comment #2)

Guillermo,

Thanks for your report.

Are you able to rebuild with WITH_DEBUG=yes and post a stack trace?


Yuri
Comment 4 Graham Perrin 2021-06-20 03:28:03 UTC
(In reply to Guillermo Garcia-Rojas from comment #2)

> … I think the issue is my graphics card. …

If it helps: no crash for me with AMD Thames [Radeon HD 7550M/7570M/7650M] <https://bsd-hardware.info/?probe=cc24e867fc#d10> in an HP EliteBook 8570p with FreeBSD 14.0-CURRENT. 

----

% xvinfo -short
X-Video Extension version 2.2
screen #0
  Adaptor #0: "GLAMOR Textured Video"
    number of ports: 16
    port base: 63
    operations supported: PutImage 
    number of attributes: 5
      "XV_BRIGHTNESS" (range -1000 to 1000)
              settable, gettable (current value is 0)
      "XV_CONTRAST" (range -1000 to 1000)
              settable, gettable (current value is 0)
      "XV_SATURATION" (range -1000 to 1000)
              settable, gettable (current value is 0)
      "XV_HUE" (range -1000 to 1000)
              settable, gettable (current value is 0)
      "XV_COLORSPACE" (range 0 to 1)
              settable, gettable (current value is 0)
    maximum XvImage size: 8192 x 8192
    Number of image formats: 2
      id: 0x32315659 (YV12)
      id: 0x30323449 (I420)
%
Comment 5 Guillermo Garcia-Rojas 2021-06-20 17:52:09 UTC
I've compiled from ports and everything went fine, but crashed again on start.

ELF Header:
  Magic:   7f 45 4c 46 02 01 01 09 00 00 00 00 00 00 00 00
  Class:                             ELF64
  Data:                              2's complement, little endian
  Version:                           1 (current)
  OS/ABI:                            FreeBSD
  ABI Version:                       0
  Type:                              CORE (Core file)
  Machine:                           Advanced Micro Devices x86-64
  Version:                           0x1
  Entry point address:               0
  Start of program headers:          64 (bytes into file)
  Start of section headers:          0 (bytes into file)
  Flags:                             0
  Size of this header:               64 (bytes)
  Size of program headers:           56 (bytes)
  Number of program headers:         603
  Size of section headers:           64 (bytes)
  Number of section headers:         0 (0)
  Section header string table index: 0

Py_DEPRECATED(3.8) int (*tp_print)(PyObject *, FILE *, int);

Notes at offset 0x00008428 with length 0x0003b09c:
  Owner         Data size       Description
  FreeBSD       0x00000078      NT_PRPSINFO
   description data: 01 00 00 00 00 00 00 00 78 00 00 00 00 00 00 00 6f 62 73 00 00 00 00 00 00 00 00 00 00 00 00 00 00 6f 62 73 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 78 17 01 00
  FreeBSD       0x000000e0      NT_PRSTATUS
   description data: 01 00 00 00 00 00 00 00 e0 00 00 00 00 00 00 00 b0 00 00 00 00 00 00 00 00 02 00 00 00 00 00 00 ab d6 13 00 0b 00 00 00 a5 91 01 00 00 00 00 00 f0 8a 86 0c 08 00 00 00 ce 60 71 0d 08 00 00 00 60 07 88 0c 08 00 00 00 00 4b a0 0e 08 00 00 00 01 00 00 00 00 00 00 00 00 65 c5 0c 08 00 00 00 00 00 00 00 00 00 00 00 01 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 c8 1b 7f de ff 7f 00 00 30 1a 7f de ff 7f 00 00 00 00 00 00 00 00 00 00 80 7f 9f 0e 08 00 00 00 00 00 00 00 00 00 00 00 e0 c3 c0 0e 08 00 00 00 00 00 00 00 13 00 1b 00 00 00 00 00 3b 00 3b 00 36 ab 9b 0d 08 00 00 00 43 00 00 00 00 00 00 00 46 02 01 00 00 00 00 00 00 1a 7f de ff 7f 00 00 3b 00 00 00 00 00 00 00
  FreeBSD       0x00000200      NT_FPREGSET
   description data: 7f 03 00
Comment 6 Yuri Victorovich freebsd_committer 2021-06-20 19:09:35 UTC
(In reply to Guillermo Garcia-Rojas from comment #5)

Can you add WITH_DEBUG=yes to the Makefile, run 'make deinstall install', then run:
$ gdb obs-studio

Then press 'r' and it should print stack trace after crash.
Comment 7 Guillermo Garcia-Rojas 2021-06-21 23:21:02 UTC
Here you go:

$ gdb obs
GNU gdb (GDB) 10.1 [GDB v10.1 for FreeBSD]
Copyright (C) 2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-portbld-freebsd13.0".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<https://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from obs...
(gdb) r
Starting program: /usr/local/bin/obs
[New LWP 103555 of process 33644]
[New LWP 103556 of process 33644]
[New LWP 103557 of process 33644]
Attempted path: share/obs/obs-studio/locale/en-US.ini
Attempted path: /usr/local/share/obs/obs-studio/locale/en-US.ini
Attempted path: share/obs/obs-studio/locale.ini
Attempted path: /usr/local/share/obs/obs-studio/locale.ini
Attempted path: share/obs/obs-studio/themes/Dark.qss
Attempted path: /usr/local/share/obs/obs-studio/themes/Dark.qss
[New LWP 103558 of process 33644]
info: CPU Name: Intel(R) Celeron(R) CPU  N2830  @ 2.16GHz
info: CPU Speed: 2166.72MHz
info: Physical Cores: 2, Logical Cores: 2
info: Physical Memory: 7771MB Total, 1812MB Free
info: Kernel Version: FreeBSD 13.0-RELEASE-p1
info: Window System: X11.0, Vendor: The X.Org Foundation, Version: 1.20.11
debug: found alternate keycode 129 for OBS_KEY_NUMPERIOD which already has keycode 91
debug: found alternate keycode 190 for OBS_KEY_REDO which already has keycode 137
debug: found alternate keycode 218 for OBS_KEY_PRINT which already has keycode 107
debug: found alternate keycode 231 for OBS_KEY_CANCEL which already has keycode 136
info: Portable mode: false
[New LWP 103559 of process 33644]
[New LWP 103560 of process 33644]
Attempted path: share/obs/obs-studio/themes/Dark/no_sources.svg
Attempted path: /usr/local/share/obs/obs-studio/themes/Dark/no_sources.svg
QMetaObject::connectSlotsByName: No matching signal for on_advAudioProps_clicked()
QMetaObject::connectSlotsByName: No matching signal for on_advAudioProps_destroyed()
QMetaObject::connectSlotsByName: No matching signal for on_actionGridMode_triggered()
QMetaObject::connectSlotsByName: No matching signal for on_program_customContextMenuRequested(QPoint)
QMetaObject::connectSlotsByName: No matching signal for on_transitionRemove_clicked()
info: OBS 26.1.2 (freebsd)
info: ---------------------------------
info: ---------------------------------
info: audio settings reset:
	samples per sec: 48000
	speakers:        2
[New LWP 103561 of process 33644]
info: ---------------------------------
info: Initializing OpenGL...
[New LWP 103562 of process 33644]
[New LWP 103564 of process 33644]
[New LWP 103563 of process 33644]
[New LWP 103565 of process 33644]
info: Loading up OpenGL on adapter Intel Open Source Technology Center Mesa DRI Intel(R) HD Graphics (BYT)
info: OpenGL loaded successfully, version 4.2 (Core Profile) Mesa 20.2.3, shading language 4.20
info: ---------------------------------
info: video settings reset:
	base resolution:   1366x768
	output resolution: 1092x614
	downscale filter:  Bicubic
	fps:               30/1
	format:            NV12
	YUV mode:          709/Partial
[New LWP 103566 of process 33644]
info: NV12 texture support not available
info: Audio monitoring device:
	name: Default
	id: default
info: ---------------------------------
debug: ---------------------------------
[New LWP 103567 of process 33644]
debug: Loading module: decklink-captions.so
warning: Failed to load 'en-US' text for module: 'decklink-captions.so'
debug: ---------------------------------
debug: Loading module: decklink-ouput-ui.so
warning: Failed to load 'en-US' text for module: 'decklink-ouput-ui.so'
debug: ---------------------------------
warning: File "/usr/local/lib/libpython3.8.so.1.0-gdb.py" auto-loading has been declined by your `auto-load safe-path' set to "$debugdir:$datadir/auto-load".
To enable execution of this file add
	add-auto-load-safe-path /usr/local/lib/libpython3.8.so.1.0-gdb.py
line to your configuration file "/home/memo/.gdbinit".
To completely disable this security protection add
	set auto-load safe-path /
line to your configuration file "/home/memo/.gdbinit".
For more information about this security protection see the
"Auto-loading safe path" section in the GDB manual.  E.g., run from the shell:
	info "(gdb)Auto-loading safe path"
debug: Loading module: frontend-tools.so
[New LWP 103568 of process 33644]
debug: ---------------------------------
debug: Loading module: image-source.so
debug: ---------------------------------
debug: Loading module: linux-capture.so
debug: ---------------------------------
debug: Loading module: linux-jack.so
debug: ---------------------------------
debug: Loading module: linux-pulseaudio.so
debug: ---------------------------------
debug: Loading module: linux-v4l2.so
[Detaching after vfork from child process 33656]
warning: v4l2loopback not installed, virtual camera disabled
debug: ---------------------------------
debug: Loading module: obs-ffmpeg.so
info: FFMPEG VAAPI supported
debug: ---------------------------------
debug: Loading module: obs-filters.so
debug: ---------------------------------
debug: Loading module: obs-libfdk.so
debug: ---------------------------------
debug: Loading module: obs-outputs.so
debug: ---------------------------------
debug: Loading module: obs-transitions.so
debug: ---------------------------------
debug: Loading module: obs-x264.so
debug: ---------------------------------
debug: Loading module: oss-audio.so
debug: ---------------------------------
debug: Loading module: rtmp-services.so
[New LWP 103569 of process 33644]
debug: ---------------------------------
[New LWP 103570 of process 33644]
debug: Loading module: sndio.so
debug: ---------------------------------
debug: Loading module: text-freetype2.so
debug: ---------------------------------
debug: Loading module: vlc-video.so
info: VLC found, VLC video source enabled
info: ---------------------------------
info:   Loaded Modules:
info:     vlc-video.so
info:     text-freetype2.so
info:     sndio.so
info:     rtmp-services.so
info:     oss-audio.so
info:     obs-x264.so
info:     obs-transitions.so
info:     obs-outputs.so
info:     obs-libfdk.so
info:     obs-filters.so
info:     obs-ffmpeg.so
info:     linux-v4l2.so
info:     linux-pulseaudio.so
info:     linux-jack.so
info:     linux-capture.so
info:     image-source.so
info:     frontend-tools.so
info:     decklink-ouput-ui.so
info:     decklink-captions.so
info: ---------------------------------
info: ==== Startup complete ===============================================
debug: encoder 'simple_h264_stream' (obs_x264) created
debug: AAC encoder bitrate mapping:
	 32 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	 64 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	 96 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	128 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	160 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	192 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	224 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	256 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	288 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	320 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	352 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	384 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	416 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	448 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	480 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	512 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	544 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	576 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	608 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	640 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	672 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	704 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	736 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	768 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	800 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	832 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	864 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	896 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	928 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	960 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	992 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	1024 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
debug: encoder 'simple_aac' (libfdk_aac) created
debug: encoder 'simple_archive_aac' (libfdk_aac) created
debug: output 'simple_file_output' (ffmpeg_muxer) created
debug: service 'default_service' (rtmp_common) created
info: All scene data cleared
info: ------------------------------------------------
debug: private source 'Cut' (cut_transition) created
debug: private source 'Fade' (fade_transition) created
[LWP 103570 of process 33644 exited]
[New LWP 103571 of process 33644]
info: pulse-input: Server name: 'pulseaudio 13.0'
debug: pulse-input: Default output device: 'oss_output.dsp0.monitor'
info: pulse-input: Audio format: s16le, 44100 Hz, 2 channels
info: pulse-input: Started recording from 'oss_output.dsp0.monitor'
debug: source 'Desktop Audio' (pulse_output_capture) created
info: [Loaded global audio device]: 'Desktop Audio'
info: pulse-input: Server name: 'pulseaudio 13.0'
        b = EXTENSIONS_MEDIA + 1;
            ~~~~~~~~~~~~~~~~~^~~
/usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/plugins/vlc-video/vlc-video-source.c:550:23: note: use array indexing to silence this warning
        b = EXTENSIONS_MEDIA + 1;
                             ^
            &                [  ]
1 warning generated.
[ 35% 141/395] : && /usr/bin/cc -fPIC -Wall -Wextra -Wvla -Wno-unused-function -Werror-implicit-function-declaration -Wno-missing-braces -Wno-missing-field-initializers -pipe  -D_WITH_GETLINE -g -fstack-protector-strong -fno-strict-aliasing -std=gnu99 -fno-strict-aliasing -DDEBUG=1 -D_DEBUG=1 -pipe  -D_WITH_GETLINE -g -fstack-protector-strong -fno-strict-aliasing  -fPIC -fstack-protector-strong -shared  -o plugins/vlc-video/vlc-video.so plugins/vlc-video/CMakeFiles/vlc-video.dir/vlc-video-plugin.c.o plugins/vlc-video/CMakeFiles/vlc-video.dir/vlc-video-source.c.o  -Wl,-rpath,/usr/ports/multimedia/obs-studio/work/.build/libobs:  libobs/libobs.so.0  -pthread && cd /usr/ports/multimedia/obs-studio/work/.build/plugins/vlc-video && /usr/local/bin/cmake -E copy /usr/ports/multimedia/obs-studio/work/.build/plugins/vlc-video/vlc-video.so /usr/ports/multimedia/obs-studio/work/.build/rundir/Debug/obs-plugins/64bit/vlc-video.so && cd /usr/ports/multimedia/obs-studio/work/.build/plugins/vlc-video && /usr/local/bin/cmake -E copy_directory /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/plugins/vlc-video/data /usr/ports/multimedia/obs-studio/work/.build/rundir/Debug/data/obs-plugins/vlc-video
[ 35% 142/395] /usr/bin/cc -DHAVE_OBSCONFIG_H -DUSE_XDG -Doss_audio_EXPORTS -Iconfig -isystem /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/libobs -isystem plugins/oss-audio -Wall -Wextra -Wvla -Wno-unused-function -Werror-implicit-function-declaration -Wno-missing-braces -Wno-missing-field-initializers -pipe  -D_WITH_GETLINE -g -fstack-protector-strong -fno-strict-aliasing -std=gnu99 -fno-strict-aliasing -DDEBUG=1 -D_DEBUG=1 -pipe  -D_WITH_GETLINE -g -fstack-protector-strong -fno-strict-aliasing -fPIC -mmmx -msse -msse2 -pthread -MD -MT plugins/oss-audio/CMakeFiles/oss-audio.dir/oss-input.c.o -MF plugins/oss-audio/CMakeFidebug: pulse-input: Default input device: 'oss_input.dsp0'
info: pulse-input: Audio format: s16le, 44100 Hz, 2 channels
info: pulse-input: Started recording from 'oss_input.dsp0'
debug: source 'Mic/Aux' (pulse_input_capture) created
info: [Loaded global audio device]: 'Mic/Aux'
debug: source 'Scene' (scene) created
info: Switched to scene 'Scene'
info: ------------------------------------------------
info: Loaded scenes:
info: - scene 'Scene':
info: ------------------------------------------------
[New LWP 103572 of process 33644]
[New LWP 103573 of process 33644]
[New LWP 103574 of process 33644]
[New LWP 103575 of process 33644]
[LWP 103569 of process 33644 exited]
Attempted path: share/obs/obs-studio/images/overflow.png
Attempted path: /usr/local/share/obs/obs-studio/images/overflow.png
--Type <RET> for more, q to quit, c to continue without paging--

Thread 14 "libobs: graphics th" received signal SIGSEGV, Segmentation fault.
[Switching to LWP 103567 of process 33644]
0x000000080d9bab36 in ?? () from /usr/local/lib/dri/i965_dri.so
(gdb)
Comment 8 Yuri Victorovich freebsd_committer 2021-06-21 23:33:49 UTC
(In reply to Guillermo Garcia-Rojas from comment #7)

Guillermo,

I am sorry, I forgot to add the 'bt' command to the instructions.

Could you re-run, type 'bt' in the end, and post the stack?


Thank you.
Comment 9 Guillermo Garcia-Rojas 2021-06-23 23:09:16 UTC
hawking$ gdb obs
GNU gdb (GDB) 10.1 [GDB v10.1 for FreeBSD]
Copyright (C) 2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-portbld-freebsd13.0".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<https://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from obs...
(gdb) r
Starting program: /usr/local/bin/obs
[New LWP 101518 of process 48471]
[New LWP 101519 of process 48471]
[New LWP 101520 of process 48471]
Attempted path: share/obs/obs-studio/locale/en-US.ini
Attempted path: /usr/local/share/obs/obs-studio/locale/en-US.ini
Attempted path: share/obs/obs-studio/locale.ini
Attempted path: /usr/local/share/obs/obs-studio/locale.ini
Attempted path: share/obs/obs-studio/themes/Dark.qss
Attempted path: /usr/local/share/obs/obs-studio/themes/Dark.qss
[New LWP 101521 of process 48471]
info: CPU Name: Intel(R) Celeron(R) CPU  N2830  @ 2.16GHz
info: CPU Speed: 2166.72MHz
info: Physical Cores: 2, Logical Cores: 2
info: Physical Memory: 7771MB Total, 4121MB Free
info: Kernel Version: FreeBSD 13.0-RELEASE-p1
info: Window System: X11.0, Vendor: The X.Org Foundation, Version: 1.20.11
debug: found alternate keycode 129 for OBS_KEY_NUMPERIOD which already has keycode 91
debug: found alternate keycode 190 for OBS_KEY_REDO which already has keycode 137
debug: found alternate keycode 218 for OBS_KEY_PRINT which already has keycode 107
debug: found alternate keycode 231 for OBS_KEY_CANCEL which already has keycode 136
info: Portable mode: false
[New LWP 101522 of process 48471]
[New LWP 101523 of process 48471]
Attempted path: share/obs/obs-studio/themes/Dark/no_sources.svg
Attempted path: /usr/local/share/obs/obs-studio/themes/Dark/no_sources.svg
QMetaObject::connectSlotsByName: No matching signal for on_advAudioProps_clicked()
QMetaObject::connectSlotsByName: No matching signal for on_advAudioProps_destroyed()
QMetaObject::connectSlotsByName: No matching signal for on_actionGridMode_triggered()
QMetaObject::connectSlotsByName: No matching signal for on_program_customContextMenuRequested(QPoint)
QMetaObject::connectSlotsByName: No matching signal for on_transitionRemove_clicked()
info: OBS 26.1.2 (freebsd)
info: ---------------------------------
info: ---------------------------------
info: audio settings reset:
	samples per sec: 48000
	speakers:        2
[New LWP 101524 of process 48471]
info: ---------------------------------
info: Initializing OpenGL...
[New LWP 101525 of process 48471]
[New LWP 101527 of process 48471]
[New LWP 101526 of process 48471]
[New LWP 101528 of process 48471]
info: Loading up OpenGL on adapter Intel Open Source Technology Center Mesa DRI Intel(R) HD Graphics (BYT)
info: OpenGL loaded successfully, version 4.2 (Core Profile) Mesa 20.2.3, shading language 4.20
info: ---------------------------------
info: video settings reset:
	base resolution:   1366x768
	output resolution: 1092x614
	downscale filter:  Bicubic
	fps:               30/1
	format:            NV12
	YUV mode:          709/Partial
[New LWP 101529 of process 48471]
info: NV12 texture support not available
[New LWP 101530 of process 48471]
info: Audio monitoring device:
	name: Default
	id: default
info: ---------------------------------
debug: ---------------------------------
debug: Loading module: decklink-captions.so
warning: Failed to load 'en-US' text for module: 'decklink-captions.so'
debug: ---------------------------------
debug: Loading module: decklink-ouput-ui.so
warning: Failed to load 'en-US' text for module: 'decklink-ouput-ui.so'
debug: ---------------------------------
warning: File "/usr/local/lib/libpython3.8.so.1.0-gdb.py" auto-loading has been declined by your `auto-load safe-path' set to "$debugdir:$datadir/auto-load".
To enable execution of this file add
	add-auto-load-safe-path /usr/local/lib/libpython3.8.so.1.0-gdb.py
line to your configuration file "/home/memo/.gdbinit".
To completely disable this security protection add
	set auto-load safe-path /
line to your configuration file "/home/memo/.gdbinit".
For more information about this security protection see the
"Auto-loading safe path" section in the GDB manual.  E.g., run from the shell:
	info "(gdb)Auto-loading safe path"
debug: Loading module: frontend-tools.so
[New LWP 101531 of process 48471]
debug: ---------------------------------
debug: Loading module: image-source.so
debug: ---------------------------------
debug: Loading module: linux-capture.so
debug: ---------------------------------
debug: Loading module: linux-jack.so
debug: ---------------------------------
debug: Loading module: linux-pulseaudio.so
debug: ---------------------------------
debug: Loading module: linux-v4l2.so
[Detaching after vfork from child process 48915]
warning: v4l2loopback not installed, virtual camera disabled
debug: ---------------------------------
debug: Loading module: obs-ffmpeg.so
info: FFMPEG VAAPI supported
debug: ---------------------------------
debug: Loading module: obs-filters.so
debug: ---------------------------------
debug: Loading module: obs-libfdk.so
debug: ---------------------------------
debug: Loading module: obs-outputs.so
debug: ---------------------------------
debug: Loading module: obs-transitions.so
debug: ---------------------------------
debug: Loading module: obs-x264.so
debug: ---------------------------------
debug: Loading module: oss-audio.so
debug: ---------------------------------
debug: Loading module: rtmp-services.so
[New LWP 101532 of process 48471]
debug: ---------------------------------
[New LWP 101533 of process 48471]
debug: Loading module: sndio.so
debug: ---------------------------------
debug: Loading module: text-freetype2.so
debug: ---------------------------------
debug: Loading module: vlc-video.so
info: VLC found, VLC video source enabled
info: ---------------------------------
info:   Loaded Modules:
info:     vlc-video.so
info:     text-freetype2.so
info:     sndio.so
info:     rtmp-services.so
info:     oss-audio.so
info:     obs-x264.so
info:     obs-transitions.so
info:     obs-outputs.so
info:     obs-libfdk.so
info:     obs-filters.so
info:     obs-ffmpeg.so
info:     linux-v4l2.so
info:     linux-pulseaudio.so
info:     linux-jack.so
info:     linux-capture.so
info:     image-source.so
info:     frontend-tools.so
info:     decklink-ouput-ui.so
info:     decklink-captions.so
info: ---------------------------------
info: ==== Startup complete ===============================================
debug: encoder 'simple_h264_stream' (obs_x264) created
debug: AAC encoder bitrate mapping:
	 32 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	 64 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	 96 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	128 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	160 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	192 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	224 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	256 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	288 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	320 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	352 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	384 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	416 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	448 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	480 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	512 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	544 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	576 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	608 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	640 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	672 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	704 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	736 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	768 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	800 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	832 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	864 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	896 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	928 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	960 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	992 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
	1024 kbit/s: 'libfdk AAC Encoder' (libfdk_aac)
debug: encoder 'simple_aac' (libfdk_aac) created
debug: encoder 'simple_archive_aac' (libfdk_aac) created
debug: output 'simple_file_output' (ffmpeg_muxer) created
debug: service 'default_service' (rtmp_common) created
info: All scene data cleared
info: ------------------------------------------------
debug: private source 'Cut' (cut_transition) created
debug: private source 'Fade' (fade_transition) created
[New LWP 101534 of process 48471]
[LWP 101533 of process 48471 exited]
info: pulse-input: Server name: 'pulseaudio 13.0'
debug: pulse-input: Default output device: 'oss_output.dsp0.monitor'
info: pulse-input: Audio format: s16le, 44100 Hz, 2 channels
info: pulse-input: Started recording from 'oss_output.dsp0.monitor'
debug: source 'Desktop Audio' (pulse_output_capture) created
info: [Loaded global audio device]: 'Desktop Audio'
info: pulse-input: Server name: 'pulseaudio 13.0'
debug: pulse-input: Default input device: 'oss_input.dsp0'
info: pulse-input: Audio format: s16le, 44100 Hz, 2 channels
info: pulse-input: Started recording from 'oss_input.dsp0'
debug: source 'Mic/Aux' (pulse_input_capture) created
info: [Loaded global audio device]: 'Mic/Aux'
debug: source 'Scene' (scene) created
info: Switched to scene 'Scene'
info: ------------------------------------------------
info: Loaded scenes:
info: - scene 'Scene':
info: ------------------------------------------------
[New LWP 101535 of process 48471]
[New LWP 101537 of process 48471]
[New LWP 101536 of process 48471]
[New LWP 101538 of process 48471]
[LWP 101532 of process 48471 exited]
info: adding 42 milliseconds of audio buffering, total audio buffering is now 42 milliseconds (source: Desktop Audio)

Attempted path: share/obs/obs-studio/images/overflow.png
Attempted path: /usr/local/share/obs/obs-studio/images/overflow.png
--Type <RET> for more, q to quit, c to continue without paging--

Thread 14 "libobs: graphics th" received signal SIGSEGV, Segmentation fault.
[Switching to LWP 101530 of process 48471]
0x000000080d9bab36 in ?? () from /usr/local/lib/dri/i965_dri.so
(gdb) bt
#0  0x000000080d9bab36 in ?? () from /usr/local/lib/dri/i965_dri.so
#1  0x000000080d9ba869 in ?? () from /usr/local/lib/dri/i965_dri.so
#2  0x000000080d9baee0 in ?? () from /usr/local/lib/dri/i965_dri.so
#3  0x000000080db8e84d in ?? () from /usr/local/lib/dri/i965_dri.so
#4  0x000000080bd68c62 in device_draw (device=0x80ba96020,
    draw_mode=GS_TRISTRIP, start_vert=0, num_verts=4)
    at /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/libobs-opengl/gl-subsystem.c:1053
#5  0x0000000802d1d1af in gs_draw (draw_mode=GS_TRISTRIP, start_vert=0,
    num_verts=0)
    at /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/libobs/graphics/graphics.c:1773
#6  0x0000000802d1e8f8 in gs_draw_sprite (tex=0x80e9abb40, flip=0, width=0,
    height=0)
    at /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/libobs/graphics/graphics.c:1042
#7  0x0000000802d7d2f7 in obs_render_main_texture_internal (
    src_c=GS_BLEND_ONE, dest_c=GS_BLEND_ZERO, src_a=GS_BLEND_ONE,
    dest_a=GS_BLEND_INVSRCALPHA)
    at /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/libobs/obs.c:1695
/usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/plugins/obs-filters/rnno#8  0x0000000802d7d329 in obs_render_main_texture_src_color_only ()
    at /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/libobs/obs.c:1708--Type <RET> for more, q to quit, c to continue without paging--

#9  0x000000000042a43f in OBSBasic::RenderMain (data=0x808b94700, cx=1080,
    cy=485)
    at /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/UI/window-basic-main.cpp:3817
#10 0x0000000802da1995 in render_display (display=0x80fbd3ea0)
    at /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/libobs/obs-display.c:219
#11 0x0000000802dae2e3 in render_displays ()
    at /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/libobs/obs-video.c:97
#12 0x0000000802dadb21 in obs_graphics_thread_loop (context=0x7fffde7f1f80)
    at /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/libobs/obs-video.c:979
#13 0x0000000802dae5b2 in obs_graphics_thread (param=0x808ac8020)
    at /usr/ports/multimedia/obs-studio/work/obs-studio-26.1.2/libobs/obs-video.c:1050
#14 0x000000080345482b in ?? () from /lib/libthr.so.3
#15 0x0000000000000000 in ?? ()
Backtrace stopped: Cannot access memory at address 0x7fffde7f2000
(gdb)
Comment 10 Yuri Victorovich freebsd_committer 2021-06-24 02:14:39 UTC
Driver bug report: https://gitlab.freedesktop.org/mesa/mesa/-/issues/4991